=== debian/changelog ===
radium-compressor (0.5.1-3build2) bionic; urgency=high

  * No change rebuild to pick up -fPIE compiler default

 -- Balint Reczey <rbalint@ubuntu.com>  Tue, 03 Apr 2018 12:41:14 +0000

radium-compressor (0.5.1-3build1) wily; urgency=medium

  * No-change rebuild against libjack-jackd2-0v5

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 11 Aug 2015 07:04:40 +0000

radium-compressor (0.5.1-3) unstable; urgency=low

  * Team upload.
  * debian/patches/0003-gcc4.6-designated-initializers.patch: Fix build with
    gcc 4.6. Thanks to Andrey Rahmatullin for the analysis. (Closes: #709228)

 -- Sebastian Ramacher <sramacher@debian.org>  Fri, 24 May 2013 14:39:33 +0200

radium-compressor (0.5.1-2) unstable; urgency=low

  * Fix missing #include <stdlib.h>.

 -- Alessio Treglia <alessio@debian.org>  Sat, 06 Apr 2013 19:23:44 +0100

radium-compressor (0.5.1-1) unstable; urgency=low

  * Initial release. (Closes: #699606)

 -- Alessio Treglia <alessio@debian.org>  Sat, 02 Feb 2013 12:02:58 +0000
