=== debian/control ===
Source: radium-compressor
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <pkg-multimedia-maintainers@lists.alioth.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper (>= 9~),
 libjack-dev,
 libqt4-dev,
 qt4-dev-tools
Standards-Version: 3.9.4
Homepage: https://github.com/kmatheussen/radium_compressor
Vcs-Git: git://anonscm.debian.org/pkg-multimedia/radium-compressor.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-multimedia/radium-compressor.git

Package: radium-compressor
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Description: audio compressor for JACK
 Radium Compressor is the system compressor in Radium,
 but distributed as a standalone JACK client application.
 .
 Radium Compressor uses the stereo compressor found in
 effect.lib in the Faust distribution.
