=== debian/changelog ===
radium-compressor (0.5.1+git20190909-1build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:33:08 +1100

radium-compressor (0.5.1+git20190909-1build2) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:59:32 +0000

radium-compressor (0.5.1+git20190909-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Mar 2020 07:24:52 +0100

radium-compressor (0.5.1+git20190909-1) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/copyright: Use https protocol in Format field
  * d/control: Set Vcs-* to salsa.debian.org

  [ Felipe Sateler ]
  * Change maintainer address to debian-multimedia@lists.debian.org

  [ Ondřej Nový ]
  * Use debhelper-compat instead of debian/compat

  [ Sebastian Ramacher ]
  * New upstream snapshot
    - Switch to Qt 5 (Closes: #875168)
  * debian/: Bump debhelper compat to 12
  * debian/control:
    - Bump Standards-Version
    - Add B-Ds on ladspa-sdk and liblo-dev

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 15 Sep 2019 21:16:38 +0200
