=== debian/control ===
Source: radium-compressor
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Multimedia Maintainers <debian-multimedia@lists.debian.org>
Uploaders:
 Alessio Treglia <alessio@debian.org>
Build-Depends:
 debhelper-compat (= 12),
 ladspa-sdk,
 libjack-dev,
 liblo-dev,
 qtbase5-dev,
 qttools5-dev-tools
Standards-Version: 4.4.0
Homepage: https://github.com/kmatheussen/radium_compressor
Vcs-Git: https://salsa.debian.org/multimedia-team/radium-compressor.git
Vcs-Browser: https://salsa.debian.org/multimedia-team/radium-compressor

Package: radium-compressor
Architecture: any
Depends:
 jackd,
 ${misc:Depends},
 ${shlibs:Depends}
Description: audio compressor for JACK
 Radium Compressor is the system compressor in Radium,
 but distributed as a standalone JACK client application.
 .
 Radium Compressor uses the stereo compressor found in
 effect.lib in the Faust distribution.
