=== debian/rules ===
#!/usr/bin/make -f

ifeq (amd64,$(DEB_BUILD_ARCH))
CXXFLAGS += -msse -mfpmath=sse
endif

LDFLAGS += -Wl,--as-needed

export QT_SELECT=5
export PREFIX=/usr
export DESTDIR=debian/radium-compressor

%:
	dh $@
