=== debian/watch ===
version=3
http://archive.notam02.no/arkiv/src/radium_compressor-(.*)\.tar\.gz
